[Testing Update] 2020-01-15 - Kernels, Etcher, Timeshift

Hello community,

here is another Testing Update for 2020!


Manjaro ARM Team will be at #FOSDEM2020

Some feature-updates:

If you like following latest Plasma development you may also like to check out our current version of manjaro-kde-dev, which we build on a regular basis against kde-git master packages. Also check out our current 18.1.5 ISOs and give us the needed feedback. You might also want to give our latest spin with NX-Desktop a try ...

As always we appreciate your input and feedback for the updates.


Upstream notice

Arch updated their default compression to zstd. We adopted to the same standard. More and more packages will have the zst extension from now on.


Our current supported kernels:

  • linux316 3.16.81
  • linux44 4.4.210
  • linux49 4.9.210
  • linux414 4.14.165
  • linux419 4.19.96
  • linux53 5.3.18 [EOL]
  • linux54 5.4.12
  • linux55 5.5-rc6
  • linux419-rt 4.19.94_rt38
  • linux54-rt 5.4.10_rt5

Package Changes (Tue Jan 14 14:25:43 CET 2020)

  • testing community x86_64: 3 new and 3 removed package(s)
  • testing core x86_64: 12 new and 12 removed package(s)
  • testing extra x86_64: 105 new and 105 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-01-14           2020-01-15
-------------------------------------------------------------------------------
                              etcher             1.5.70-3             1.5.71-1
                          hw-probe 1.4+209.g2a69daafc5-1 1.4+210.g2839ab16b1-1
                       timeshift 19.08.1.r39.gba94d55-1 19.08.1.r43.ge4139e6-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-01-14           2020-01-15
-------------------------------------------------------------------------------
                            linux316            3.16.80-1            3.16.81-1
                    linux316-headers            3.16.80-1            3.16.81-1
                            linux414           4.14.164-1           4.14.165-1
                    linux414-headers           4.14.164-1           4.14.165-1
                            linux419            4.19.95-1            4.19.96-1
                    linux419-headers            4.19.95-1            4.19.96-1
                             linux44            4.4.209-1            4.4.210-1
                     linux44-headers            4.4.209-1            4.4.210-1
                             linux49            4.9.209-1            4.9.210-1
                     linux49-headers            4.9.209-1            4.9.210-1
                             linux54             5.4.11-1             5.4.12-1
                     linux54-headers             5.4.11-1             5.4.12-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2020-01-14           2020-01-15
-------------------------------------------------------------------------------
                  linux316-acpi_call             1.1.0-59             1.1.0-60
                   linux316-bbswitch               0.8-58               0.8-59
                linux316-broadcom-wl      6.30.223.271-38      6.30.223.271-39
                linux316-ndiswrapper              1.62-12              1.62-13
               linux316-nvidia-340xx            340.108-1            340.108-2
               linux316-nvidia-390xx            390.132-4            390.132-5
               linux316-nvidia-418xx            418.113-4            418.113-5
               linux316-nvidia-430xx             430.64-4             430.64-5
               linux316-nvidia-435xx             435.21-7             435.21-8
               linux316-nvidia-440xx             440.44-2             440.44-3
                   linux316-nvidiabl              0.88-48              0.88-49
                      linux316-r8168           8.047.05-3           8.047.05-4
                  linux316-rt3562sta        2.4.1.1_r4-38        2.4.1.1_r4-39
                   linux316-tp_smapi               0.43-8               0.43-9
   linux316-virtualbox-guest-modules              6.1.0-3              6.1.0-4
    linux316-virtualbox-host-modules              6.1.0-3              6.1.0-4
                        linux316-zfs              0.8.2-7              0.8.2-8
                  linux414-acpi_call            1.1.0-136            1.1.0-137
                   linux414-bbswitch              0.8-136              0.8-137
                linux414-broadcom-wl     6.30.223.271-136     6.30.223.271-137
                linux414-ndiswrapper              1.62-31              1.62-32
               linux414-nvidia-340xx            340.108-5            340.108-6
               linux414-nvidia-390xx           390.132-13           390.132-14
               linux414-nvidia-418xx           418.113-12           418.113-13
               linux414-nvidia-430xx            430.64-11            430.64-12
               linux414-nvidia-435xx            435.21-21            435.21-22
               linux414-nvidia-440xx             440.44-7             440.44-8
                   linux414-nvidiabl             0.88-136             0.88-137
                      linux414-r8168           8.047.05-9          8.047.05-10
                  linux414-rt3562sta       2.4.1.1_r4-135       2.4.1.1_r4-137
                   linux414-tp_smapi              0.43-28              0.43-29
                linux414-vhba-module          20190831-21          20190831-22
   linux414-virtualbox-guest-modules              6.1.0-8              6.1.0-9
    linux414-virtualbox-host-modules              6.1.0-8              6.1.0-9
                        linux414-zfs             0.8.2-18             0.8.2-19
                  linux419-acpi_call             1.1.0-85             1.1.0-86
                   linux419-bbswitch               0.8-85               0.8-86
                linux419-broadcom-wl      6.30.223.271-84      6.30.223.271-85
                linux419-ndiswrapper              1.62-34              1.62-35
               linux419-nvidia-340xx            340.108-5            340.108-6
               linux419-nvidia-390xx           390.132-14           390.132-15
               linux419-nvidia-418xx           418.113-13           418.113-14
               linux419-nvidia-430xx            430.64-13            430.64-14
               linux419-nvidia-435xx            435.21-24            435.21-25
               linux419-nvidia-440xx             440.44-8             440.44-9
                   linux419-nvidiabl              0.88-84              0.88-85
                      linux419-r8168          8.047.05-10          8.047.05-11
                  linux419-rtl8723bu   4.3.9.3.13200.0-69   4.3.9.3.13200.0-70
                   linux419-tp_smapi              0.43-34              0.43-35
                linux419-vhba-module          20190831-24          20190831-25
   linux419-virtualbox-guest-modules              6.1.0-8              6.1.0-9
    linux419-virtualbox-host-modules              6.1.0-8              6.1.0-9
                        linux419-zfs             0.8.2-20             0.8.2-21
                   linux44-acpi_call            1.1.0-139            1.1.0-140
                    linux44-bbswitch              0.8-139              0.8-140
                 linux44-broadcom-wl     6.30.223.271-109     6.30.223.271-110
                 linux44-ndiswrapper              1.62-21              1.62-22
                linux44-nvidia-340xx            340.108-3            340.108-4
                linux44-nvidia-390xx            390.132-9           390.132-10
                linux44-nvidia-418xx            418.113-8            418.113-9
                linux44-nvidia-430xx             430.64-7             430.64-8
                linux44-nvidia-435xx             435.21-9            435.21-10
                linux44-nvidia-440xx             440.44-4             440.44-5
                    linux44-nvidiabl             0.88-139             0.88-140
                       linux44-r8168           8.047.05-5           8.047.05-6
                    linux44-tp_smapi              0.43-18              0.43-19
                 linux44-vhba-module          20190831-14          20190831-15
    linux44-virtualbox-guest-modules              6.1.0-5              6.1.0-6
     linux44-virtualbox-host-modules              6.1.0-5              6.1.0-6
                         linux44-zfs             0.8.2-12             0.8.2-13
                   linux49-acpi_call            1.1.0-153            1.1.0-154
                    linux49-bbswitch              0.8-153              0.8-154
                 linux49-broadcom-wl     6.30.223.271-153     6.30.223.271-154
                 linux49-ndiswrapper              1.62-23              1.62-24
                linux49-nvidia-340xx            340.108-3            340.108-4
                linux49-nvidia-390xx           390.132-10           390.132-11
                linux49-nvidia-418xx            418.113-9           418.113-10
                linux49-nvidia-430xx             430.64-8             430.64-9
                linux49-nvidia-435xx            435.21-15            435.21-16
                linux49-nvidia-440xx             440.44-4             440.44-5
                    linux49-nvidiabl             0.88-153             0.88-154
                       linux49-r8168           8.047.05-6           8.047.05-7
                    linux49-tp_smapi              0.43-21              0.43-22
                 linux49-vhba-module          20190831-17          20190831-18
    linux49-virtualbox-guest-modules              6.1.0-5              6.1.0-6
     linux49-virtualbox-host-modules              6.1.0-5              6.1.0-6
                         linux49-zfs             0.8.2-15             0.8.2-16
                   linux54-acpi_call             1.1.0-14             1.1.0-15
                    linux54-bbswitch               0.8-14               0.8-15
                 linux54-broadcom-wl      6.30.223.271-14      6.30.223.271-15
                 linux54-ndiswrapper              1.62-14              1.62-15
                linux54-nvidia-340xx            340.108-6            340.108-7
                linux54-nvidia-390xx           390.132-14           390.132-15
                linux54-nvidia-418xx           418.113-14           418.113-15
                linux54-nvidia-430xx            430.64-14            430.64-15
                linux54-nvidia-435xx            435.21-14            435.21-15
                linux54-nvidia-440xx            440.44-11            440.44-12
                    linux54-nvidiabl              0.88-14              0.88-15
                       linux54-r8168          8.047.05-14          8.047.05-15
                   linux54-rtl8723bu     4.3.9.3.13200-14     4.3.9.3.13200-15
                    linux54-tp_smapi              0.43-14              0.43-15
                 linux54-vhba-module          20190831-14          20190831-15
    linux54-virtualbox-guest-modules             6.1.0-11             6.1.0-12
     linux54-virtualbox-host-modules             6.1.0-11             6.1.0-12
                         linux54-zfs             0.8.2-14             0.8.2-15
  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

10 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


Do I need to downgrade systemd?

Not necessarily. If systemd 244.1-1.1 works fine for you, you can keep it. If you have issues related to systemd, of course, you may want to downgrade the packages related to systemd.

This is valid until Manjaro Team says otherwise. If the team asks everyone to downgrade the packages for a reason or another, do it.

From philm:

Pamac: I can't build AUR packages

Before anything else, please verify in /etc/pamac.conf if BuildDirectory is set up correctly. For example:

## AUR build directory:
BuildDirectory = /var/tmp

If you have something like /var or / instead, you might have been affected by the following bug. A bug in Pamac "corrupted" the value of BuildDirectory, which ultimately leads to a directory that Pamac can't write in (to create a directory) because the user does not have the permission to do so, hence why Pamac failed to build AUR packages.

This bug should be fixed by now in Pamac 9.2.0rc, but users affected by the bug have to change back this parameter to a correct value manually, which can be done either with a text editor by editing /etc/pamac.conf OR graphically within Pamac GTK by going in Preferences > AUR.

pacman-mirrors

thanks for the timely intel i915 patches

Are we going to see this land in stable soon?

1 Like

Arch testing > Arch > Manjaro unstable > Manjaro testing > Manjaro stable

Almost there :wink:

Do you know if these patches also solve the gpu hang issues (probably not i guess)? Can only try later today.

doesn't these patches also include the mitigations that cripple performance of Ivy bridge and other? https://www.phoronix.com/vr.php?view=28790

no because I don't have that generation GPU.

@freed00m I've not noticed any performance drop off with my i3-3110m HD4000 GPU

1 Like

I think these i915 updates only apply to the DoS CVE's, not the freezes. Last night, I was looking through both upstream 5.4 and Manjaro's GitLab 5.4, and didn't see anything related, but could have missed something. I think the Manjaro-added patch "0011-drm-i915-gt-detect-if-we-miss-WaIdleLiteRestore.patch" was related, but that's been in there since at least 5.4.7, and I know other people had freezes w/5.4.10 (although I didn't have any freezes for the day or so that I was using it).

In any case, someone posted in this Arch thread that the issue still occurs for them with 5.4.12:
https://bbs.archlinux.org/viewtopic.php?pid=1883224#p1883224

I think Intel patches are not in priority at all. next set of patches for Sunday expected.

@freed00m there is a side effect to the i915 patch but not a noticeable performance hit, the power consumption has increased so laptop battery is draining a bit faster.

1 Like

I noticed a few posts across the Arch forum and gitlab.freedesktop.org who say that a revert patch mitigates the issue for them. Not sure if worthy or not, and clearly temporary since it is reverting stock code (the patch is relatively small). For the hell of it, I did a test build of the patch, and it did apply and compile successfully against 5.4.12 (although 5.4.13 was just released upstream). However, my system has been working freeze-free for a few days now, ever since testing 5.4.10 & 5.4.12, so I can't really baseline it myself anymore. But in case interested:

First saw it here:
https://bbs.archlinux.org/viewtopic.php?id=250765&p=5
Which links to a couple posts here claiming it works (plus the link to the patch itself):
https://gitlab.freedesktop.org/drm/intel/issues/673#note_376308

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by